statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (c) 2009 Bryan O'Sullivan
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Distribution.Binomial

Contents

- Constructors
- Accessors

Description

The binomial distribution. This is the discrete probability distribution of the number of successes in a sequence of n independent yes/no experiments, each of which yields success with probability p.

Synopsis

- data BinomialDistribution
- binomial :: Int -> Double -> BinomialDistribution
- bdTrials :: BinomialDistribution -> Int
- bdProbability :: BinomialDistribution -> Double

# Documentation

data BinomialDistribution Source

The binomial distribution.

Instances

Eq BinomialDistribution Source |
Data BinomialDistribution Source |
Read BinomialDistribution Source |
Show BinomialDistribution Source |
Generic BinomialDistribution Source |
ToJSON BinomialDistribution Source |
FromJSON BinomialDistribution Source |
Binary BinomialDistribution Source |
Entropy BinomialDistribution Source |
MaybeEntropy BinomialDistribution Source |
Variance BinomialDistribution Source |
MaybeVariance BinomialDistribution Source |
Mean BinomialDistribution Source |
MaybeMean BinomialDistribution Source |
DiscreteDistr BinomialDistribution Source |
Distribution BinomialDistribution Source |
type Rep BinomialDistribution Source |

# Constructors

binomial Source

Arguments

:: Int | Number of trials.
-> Double | Probability.
-> BinomialDistribution |

Construct binomial distribution. Number of trials must be non-negative and probability must be in [0,1] range

# Accessors

bdTrials :: BinomialDistribution -> Int Source

Number of trials.

bdProbability :: BinomialDistribution -> Double Source

Probability.